; B1 status crib, Kris Kersten, kris.kersten@gmail.com

; timespan for BARREL support
timespan,'2013-01-01',45

probe='a b'

; burst times update daily at ~10:15 Central time
rbsp_load_efw_burst_times
rbsp_load_efw_b1,probe=probe

options,'rbsp?_efw_b1_fmt_B1_available','labels','B1 onboard'
options,'rbsp?_efw_vb1_available','labels','B1 playback'
options,'rbsp?_efw_vb1_available','thick',4


store_data,'rbspa_b1_status',$
	data=['rbspa_efw_b1_fmt_B1_available','rbspa_efw_vb1_available']
store_data,'rbspb_b1_status',$
	data=['rbspb_efw_b1_fmt_B1_available','rbspb_efw_vb1_available']
ylim,'rbsp?_b1_status',0,1.1


get_data,'rbspa_efw_b1_fmt_block_index',data=bi
nbi=n_elements(bi.y)
bi_cutoff=bi.y[nbi-1]
store_data,'rbspa_efw_b1_fmt_block_index_cutoff',$
	data={x:[bi.x[0],bi.x[nbi-1]],y:[bi_cutoff,bi_cutoff]}
options,'rbspa_efw_b1_fmt_block_index_cutoff','linestyle',1

get_data,'rbspb_efw_b1_fmt_block_index',data=bi
nbi=n_elements(bi.y)
bi_cutoff=bi.y[nbi-1]
store_data,'rbspb_efw_b1_fmt_block_index_cutoff',$
	data={x:[bi.x[0],bi.x[nbi-1]],y:[bi_cutoff,bi_cutoff]}
options,'rbspb_efw_b1_fmt_block_index_cutoff','linestyle',1

store_data,'rbspa_b1_block_index',$
	data=['rbspa_efw_b1_fmt_block_index_cutoff','rbspa_efw_b1_fmt_block_index']
store_data,'rbspb_b1_block_index',$
	data=['rbspb_efw_b1_fmt_block_index_cutoff','rbspb_efw_b1_fmt_block_index']

options,['rbsp?_b1_block_index','rbspa_efw_b1_fmt_block_index',$
	'rbspa_efw_b1_fmt_block_index_cutoff'],'panel_size',.5


tplot_options,'title','RBSP B1 STATUS'
tplot,['rbspa_b1_block_index','rbspa_b1_status',$
	'rbspb_b1_block_index','rbspb_b1_status']


end