;+ 
;FUNCTION:
;    array_concat_wrapper
;
;PURPOSE:
;     Wrapper for the array_concat function -- correctly handles 
;     the case when the input array is an empty string
;
;Inputs:
;  arg: The argument to be concatenated
;  array: The array to which it should be concatenated, or nothing
;  
;Output:
;  array + arg
;
;$LastChangedBy: egrimes $
;$LastChangedDate: 2013-10-21 15:49:38 -0700 (Mon, 21 Oct 2013) $
;$LastChangedRevision: 13358 $
;$URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/ssl_general/trunk/misc/array_concat_wrapper.pro $
;
;-

function array_concat_wrapper, arg, array
    compile_opt idl2, hidden
    if array eq '' then undefine, array
    return, array_concat(arg, array)
end
